Subject: bug#37719: 11.91; preview-latex not working (again?)

From: Ikumi Keita <[email-masked]>
Date: Tue, 15 Oct 2019 21:08:54 +0900

Hi Dylan,

>>>>> Dylan Thurston <[email-masked]> writes:
> I can confirm that I was using Debian, and version 9.28~~rc4~dfsg-1 of
> ghostscript.

I've just pushed fix for this trouble into the git repository.
Unfortunately, it doesn't work with gs 9.28RC because of a warning it
emits.  Only the latest development version of ghostscript suppresses it
under preview-latex.
Use gs 9.27 until Debian distributes gs binary with the latest change
incorporated, or use gs 9.28RC while you edit preview.el in AUCTeX so
that "{DELAYSAFER{.setsafe}if}" is turned into "{}" in the function
`preview-gs-open' (and, of course, byte-compile it).

I thank Chris Liddell for his valuable advices for using ghostscript
under preview-latex.

Regards,
Ikumi Keita